Subject: [Tsvwg] SCTP - COOKIE ECHO handling when association doesnot exist's

From: bhanu <[email-masked]>
Date: Thu, 02 Sep 2004 14:08:30 +0530

Hai all

As per the RFC 2960 Section :

5.1.5 State Cookie Authentication

   When an endpoint receives a COOKIE ECHO chunk from another endpoint
   with which it has no association, it shall take the following
   actions:

  4) If the State Cookie is valid, create an association to the sender
      of the COOKIE ECHO chunk with the information in the TCB data
      carried in the COOKIE ECHO, and enter the ESTABLISHED state,

I need some clarification on this.
Does this chunk should be handled as a OOTB or not.
The explanation seems to be same as OOTB handling of COOKIE ECHO chunk 
in section 8.4.

Regards
Bhanu.

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg

---

From: Michael Tuexen <[email-masked]>
Date: Thu, 2 Sep 2004 11:13:50 +0200

Bhanu,

see my comments in-line.

Best regards
Michael

>  Does this chunk should be handled as a OOTB or not.
Yes, it is OOTB.
>  The explanation seems to be same as OOTB handling of COOKIE ECHO 
> chunk in section 8.4.
8.4. says:

    4) If the packet contains a COOKIE ECHO in the first chunk, process
       it as described in Section 5.1.  Otherwise,

so it refers to the section you are citing above.

What is not clear here?

---

From: bhanu <[email-masked]>
Date: Thu, 02 Sep 2004 15:21:48 +0530

Thanks Michael

Does the Vtag check is also employed to identify a OOTB packet.
(i.e. If value of the Verification Tag field in the received SCTP packet
   does not matches its own Tag, is it considered as OOTB..??)

Regards
Bhanu.

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 2 Sep 2004 23:11:14 -0600

bhanu,

I believe the SCTP IG has a section dicussing what to do when the
vtag does not match (but other things do), particularly with regard
to COOKIE-ECHO and restart behavior.  Have you looked at the SCTP IG?

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

---

From: bhanu <[email-masked]>
Date: Fri, 03 Sep 2004 17:11:23 +0530

Brian,
     I want to know the action needs to be done for the following case.

1. INIT from End point "A" to End point "B"
2. INIT from End point "B" to End point "A"  (INIT Collision).
3. INIT Ack from End point "A" to End point "B"
4. Cookie Echo from End point "B" to End point "A".
5. Cookie Ack from End point "A" to End point "B"
6. Heartbeat from End point "A" to End point "B"
7. DATA from End point "A" to End point "B".
8. Heartbeat Ack from End point "B" to End point "A"

Association is UP.

1. Abort from End point "B" to End point "A"
2. INIT from End point "A" to End point "B"
3. Cookie Echo from End point "B" to End point "A" (similar to Cookie 
Echo in the previous association.)

Is it to be considered as OOTB? If not, it does not fall into any of the 
actions mentioned in 5.2.4 of RFC 2960 to enter into the established 
state. What is the action needs to be done for this Cookie Ack?

thanks,
bhanu

---

From: bhanu <[email-masked]>
Date: Fri, 03 Sep 2004 17:47:53 +0530

Please find the corrected question as follows:
What is the action needs to be done for this Cookie Echo?  

bhanu wrote:

> Is it to be considered as OOTB? If not, it does not fall into any of 
> the actions mentioned in 5.2.4 of RFC 2960 to enter into the 
> established state. What is the action needs to be done for this Cookie 
> Ack?
>
> thanks,
> bhanu
>
>

---

From: "Subhashini" <[email-masked]>
Date: Fri, 3 Sep 2004 18:59:05 +0530

bhanu,

   Please refer the following new text from SCTP Implementor's guide. As per this, the Cookie Echo needs to be discarded.

 ---------
   New text: (Section 5.1.5)
   ---------

      3) Compare the port numbers and the verification tag contained
         within the COOKIE ECHO chunk to the actual port numbers and the
         verification tag within the SCTP common header of the received
         packet. If these values do not match the packet MUST be silently
         discarded,

thanks,
Subhashini ...
  ----- Original Message ----- 
  From: bhanu 
  To: [email-masked] 
  Cc: Michael Tuexen ; [email-masked] 
  Sent: Friday, September 03, 2004 5:11 PM
  Subject: Re: [Tsvwg] SCTP - COOKIE ECHO handling when association doesnotexist's

  Brian,

  Association is UP.

  1. Abort from End point "B" to End point "A"
  2. INIT from End point "A" to End point "B"
  3. Cookie Echo from End point "B" to End point "A" (similar to Cookie Echo in the previous association.)

  Is it to be considered as OOTB? If not, it does not fall into any of the actions mentioned in 5.2.4 of RFC 2960 to enter into the established state. What is the action needs to be done for this Cookie Ack? 

  thanks,
  bhanu

bhanu,

--brian

Thanks Michael

Regards
Bhanu.

Michael Tuexen wrote:

Bhanu,

see my comments in-line.

Best regards
Michael

 Hai all

        
Yes, it is OOTB.

8.4. says:

What is not clear here?

 Regards
 Bhanu.

      

  

------------------------------------------------------------------------------

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 3 Sep 2004 13:34:34 -0600

bhanu,

If it does not fall into any of the categories of 5.2.4, then I
believe it is a new asssociation forming.  Is it not?

--brian